
Infrastructure - Task #6050

Task # 6039 (Closed): Migrate all CN component POMs to Java 1.7 for support of the DataONE API v2

Fix the compilation error in d1_cn_rest component

2014-08-19 18:12 - Jing Tao

Status: Closed Start date: 2014-08-19

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

The error was:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.0.2:testCompile (default-testCompile) on

project d1_cn_rest: Compilation failure

[ERROR]

/var/lib/jenkins/jobs/d1_cn_service/workspace/d1_cn_service/d1_cn_rest/src/test/java/org/dataone/cn/auth/X509CertificateGenerator.

java:[167,187] error: cannot find symbol

[ERROR] -> [Help 1]

[ERROR] 

History

#1 - 2014-08-19 18:20 - Jing Tao

- Assignee set to Jing Tao

The problem is in the X509CertificateGenerator class, it complains that X509Extension.authorityKeyIdentifier can be found.

#2 - 2014-08-19 18:23 - Jing Tao

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

Robert and I discuss the issue and decided to change the version of BouncyCastle to one which will work from jdk1.5 to jdk 1.8. The problem

resolved.

#3 - 2014-08-20 22:24 - Jing Tao

- Estimated time set to 0.00

The noderegistery module which is the dependency of d1_cn_rest has a dependency artifact - apacheds-all. This jar file contains an old version (15)

of X509Extension, which doesn't have the field.

We excluded the jar file, then it works.
